1

I know this question has been around a lot with solution but none worked in my case.

I have installed Sm Revo theme with Magento v 2.1.0 and I'm getting this error.

enter image description here

So far I have tried following things

/app/design/frontend/Sm/revo/Magento_Theme/layout/default_head_blocks.xml

In this file I have following content

<?xml version="1.0"?>
<!--
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<page xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:framework:View/Layout/etc/page_configuration.xsd">
    <head>
        <!-- ADD JQUERY -->
        <meta name="x_ua_compatible" content="IE=edge"/>
        <script src="jquery.js" />
        <script src="js/bootstrap/bootstrap.min.js" data-requiremodule="jquery"/>
        <script src="js/owl.carousel.js" data-requiremodule="jquery"/>
        <script src="js/lightslider.js" data-requiremodule="jquery"/>
        <script src="js/jquery.elevatezoom.js" data-requiremodule="jquery"/>
        <script src="js/jquery.cookie.min.js" data-requiremodule="jquery"/>
        <script src="js/jquery.fancybox.pack.js" data-requiremodule="jquery"/>
        <script src="js/jquery.fancybox-buttons.js" data-requiremodule="jquery"/>
        <script src="js/jquery.fancybox-thumbs.js" data-requiremodule="jquery"/>
        <script src="js/jquery.mousewheel-3.0.6.pack.js" data-requiremodule="jquery"/>
        <script src="js/easyResponsiveTabs.js" data-requiremodule="jquery"/>
        <script src="js/yttheme.js" data-requiremodule="jquery"/>

        <!-- ADD CSS  -->
        <css src="css/styles-m.css" />
        <css src="css/styles-l.css" media="screen and (min-width: 768px)"/>
        <css src="css/print.css" media="print" />       
        <css src="css/css-fix.css" />
        <css src="css/ytextend.css" />
        <css src="css/yttheme.css" />
    </head>
</page>

I have tried replacing <script src="jquery.js" /> with <remove src="jquery.js" /> as mentioned somewhere as a fix but it worked on my local but didn't work on test server hosted on google. Also tried with different magento version but same error occurred.

-1

Store > Configuration > Advanced > Developer > JavaScript Settings
Set Merge JavaScript files to Yes.
That solved the issue for me (+ lowering considerably the number of requests).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.